Bug 1835913 - Build pods falling under NotTerminating quota scope
Summary: Build pods falling under NotTerminating quota scope
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1829447
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-14 17:42 UTC by Gabe Montero
Modified: 2020-06-02 11:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: with the RunOnceDuration admission plugin disabled in 4.x, there is no longer automatic applying of activeDeadlineSeconds to build pods Consequence: Incorrect behavior with quotas can occur, namely quota shouldn't be required as build pods have the RestartPolicy to Never and that makes them fall outside the NotTerminating scope. Fix: the build controller is updated to provide an acceptable default for activeDeadlineSeconds given its design of being a run once pod that always terminates. Result: NotTerminating scope with quotas are handled properly for builds, namely the quota shouldn't be required as build pods have the RestartPolicy to Never and that makes them fall outside the NotTerminating scope.
Clone Of: 1829447
Environment:
Last Closed: 2020-06-02 11:18:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 108 None closed Bug 1835913: ensure build pod activeDeadlineSeconds always set 2020-06-29 17:19:34 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:19:09 UTC

Comment 4 wewang 2020-05-25 02:58:11 UTC
Verified in version:
4.4.0-0.nightly-2020-05-24-193742

Comment 6 errata-xmlrpc 2020-06-02 11:18:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.